List Profit Margins
curl --request GET \
--url https://api-staging.unbridaled.ai/api/v3/profit_margins/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-staging.unbridaled.ai/api/v3/profit_margins/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-staging.unbridaled.ai/api/v3/profit_margins/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"profit_margins": [
{
"lab_percent": 50,
"merchant_uuid": "17497254-56ab-464e-9ba3-fb3e28906d41",
"mined_percent": 35,
"price_max": 0,
"price_min": 0,
"uuid": "3e3cff68-e784-426e-ac60-f6226d365907",
"weight_max": 0.75,
"weight_min": 0,
"weight_or_price": "weight"
},
{
"lab_percent": 45,
"merchant_uuid": "17497254-56ab-464e-9ba3-fb3e28906d41",
"mined_percent": 30,
"price_max": 0,
"price_min": 0,
"uuid": "e09d659a-d9d0-40ba-9c98-56a32de9105a",
"weight_max": 0.99,
"weight_min": 0.76,
"weight_or_price": "weight"
}
],
"total": 2,
"offset": 0,
"limit": 100
}Profit Margins
List Profit Margins
List all profit margins.
Returns
A paginated list of profit margin objects with total, offset, and limit.
GET
/
api
/
v3
/
profit_margins
/
list
List Profit Margins
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
How many results to skip. Defaults to 0.
How many results to return. Defaults to 100.
Optional list of product types to filter by (e.g. diamond, gemstone).
⌘I